Bug 1181570 - wxPython 3
Summary: wxPython 3
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SystemWideChange
Keywords: Tracking
Depends On: 1217914
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-13 11:38 UTC by Jaroslav Reznik
Modified: 2015-07-21 10:28 UTC (History)
2 users (show)

(edit)
== wxPython 3 ==

Fedora 22 includes version 3 of wxPython - Python bindings for the wxWidgets GUI library.

This toolkit allows Python programmers to create programs with a robust, highly functional graphical user interface, simply and easily. It is implemented as a Python extension module (native code) that wraps the popular wxWidgets cross platform GUI library, which is written in C++.

For more information about changes in this version, see the Recent Changes in wxPython page. (http://wxpython.org/recentchanges.php) 

Also see the Debian Project's wxpy30-update script readme (https://anonscm.debian.org/cgit/collab-maint/wx-migration-tools.git/tree/README) for information about migrating to wxPython 3.0.
Clone Of:
(edit)
Last Closed: 2015-07-21 10:28:31 UTC
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-01-13 11:38:47 UTC
This is a tracking bug for Change: wxPython 3
For more details, see: https://fedoraproject.org//wiki/Changes/wxPython3

Get wxPython 3 packaged and into Fedora.

Comment 1 Scott Talbert 2015-02-18 01:14:42 UTC
wxPython 3 is in F22/Rawhide since mid-January.  Marking bug as MODIFIED since the change is implemented.  Testing is in progress.

Comment 2 Jaroslav Reznik 2015-03-24 11:41:42 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 3 Petr Bokoc 2015-04-14 11:50:44 UTC
Hello Scott, we'd like to include this change in the Fedora 22 Beta Release Notes.

Please take a look at the draft I wrote in the Doc Text field, and let me know if the text is sufficient, or if there's anything you'd like to add or change.

Thanks!

Comment 4 Scott Talbert 2015-04-14 23:28:50 UTC
Petr, looks good to me!

Comment 5 Sergio Monteiro Basto 2015-05-04 14:16:24 UTC
Try rebuilding wammu for F22 ant this happened : 

generating wammu.appdata.xml.in -> build/wammu.appdata.xml
Fatal Error: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler withChecking for python-gammu ... found version 1.34.0 using Gammu 1.34.0 ... OK
Checking for wxPython ... C++ ABI 1008,wx containers,compatible with 2.8),
and wxPython used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8).
/var/tmp/rpm-tmp.xlfGr9: line 32:  6025 Aborted                 (core dumped) CFLAGS="$RPM_OPT_FLAGS" python setup.py build
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.xlfGr9 (%build)
    Bad exit status from /var/tmp/rpm-tmp.xlfGr9 (%build)
Child return code was: 1
EXCEPTION: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps  /builddir/build/SPECS/wammu.spec

Comment 6 Sergio Monteiro Basto 2015-05-04 14:40:07 UTC
running in a mock shell : 
python setup.py -v build 

Checking for python-gammu ... found version 1.35.0 using Gammu 1.35.0 ... OK
Fatal Error: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1008,wx containers,compatible with 2.8),
and wxPython used 3.0 (wchar_t,compiler with C++ ABI 1002,wx containers,compatible with 2.8).
Checking for wxPython ...Aborted (core dumped)

more 
python
import wx
Aborted (core dumped)

I'm missing any update ?

Comment 7 Scott Talbert 2015-05-05 01:10:31 UTC
Hey Sergio, it looks like wxPython needs to be rebuilt for C++ ABI changes.  I'll rebuild it now.

Comment 8 Scott Talbert 2015-05-05 03:01:25 UTC
Sergio, update submitted:
https://admin.fedoraproject.org/updates/wxPython-3.0.2.0-5.fc22


Note You need to log in before you can comment on or make changes to this bug.